Bug 217798 - Need to port Resource Group optimization from gfs1 to gfs2
Need to port Resource Group optimization from gfs1 to gfs2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 17:40 EST by Robert Peterson
Modified: 2010-01-11 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (5.34 KB, patch)
2006-11-29 18:02 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2006-11-29 17:40:39 EST
Description of problem:
For bz213763, we changed gfs_mkfs so that it can optimize the size
of the Resource Groups (RGs) for best performance.  We need to port
that fix from gfs1 (gfs_fsck) to gfs2 (mkfs.gfs2).

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always

Steps to Reproduce:
mkfs.gfs2 -t marathon:gfs_vs0 -p lock_dlm -j 5 /dev/linear_1/linear_10
where /dev/linear_1/linear-10 is a 40TB logical volume.
  
Actual results:
mkfs.gfs2 uses the old default, 256MB RG size, which requires 
more than 150000 RGs.

Expected results:
mkfs.gfs2 should figure out that 256MB would require more than 10000
RGs, and therefore it should use 2048MB RGs for best performance.

Additional info:
Prototype patch is already coded.
Comment 1 Robert Peterson 2006-11-29 18:02:56 EST
Created attachment 142454 [details]
Patch to fix the problem

Unit tested on marathon-01.
Comment 3 Rob Kenna 2006-11-30 07:32:01 EST
Made the title more descriptive.

This is a port of the fix for bug 213763.
Comment 4 Robert Peterson 2006-11-30 10:33:28 EST
I committed the fix to CVS in the HEAD, RHEL5 and RHEL50 branches.
Comment 5 RHEL Product and Program Management 2007-02-07 20:06:09 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.